Apache Maven 3.1.0 not running

2016-10-19T23:35:44

I am running following commands

C:\Program Files (x86)\Apache Maven 3.1.0\bin>set JAVA_HOME=C:\Program Files (x86)\Java\jdk1.8.0_40

C:\Program Files (x86)\Apache Maven 3.1.0\bin>set PATH=%PATH%;%JAVA_HOME%\bin;

C:\Program Files (x86)\Apache Maven 3.1.0\bin>mvn Error: Could not find or load main class org.codehaus.plexus.classworlds.launcher.Launcher C:\Program Files (x86)\Apache Maven 3.1.0\bin>

Let me know how to fix this issue ?

Copyright License:
Author:「user7043185」,Reproduced under the CC 4.0 BY-SA copyright license with link to original source & disclaimer.
Link to:https://stackoverflow.com/questions/40135901/apache-maven-3-1-0-not-running

About “Apache Maven 3.1.0 not running” questions

I am running following commands C:\Program Files (x86)\Apache Maven 3.1.0\bin>set JAVA_HOME=C:\Program Files (x86)\Java\jdk1.8.0_40 C:\Program Files (x86)\Apache Maven 3.1.0\bin>set PATH=%PATH%;%
Java 8, maven compile issue on Jenkins struggling for ages with this one. I can locally build, compile and test everything without a problem. I use same maven command as I use on my Jenkins. I wipe...
Looks likes Google App Engine plugin is broken with new maven 3.1.0 release. When I am trying to run development server, I am getting exception Caused by: java.lang.ClassNotFoundException: org.son...
Can any one help me? Why this is happen, and how to solve this error? I try to run mvn clean package -DskipTests [INFO] [INFO] -------------------< com.hybris.hybris123:hybris123 >----------...
So I have a project that runs Jenkins, which calls Maven, which calls Ant (dont ask why) which runs a series of JMeter tests. I know the Ant and JMeter stuff works fine. The issue Im having is when
I can't seem to find the list of goals for maven 3.1.0. I was able to find a list for maven-1.x here - http://maven.apache.org/maven-1.x/plugins/clover/properties.html But where's the list for the...
I am new in IntelliJ, Maven, and Spring Initializr. I open the unzipped file in IntelliJ. Then, from the right side, I go to the Project/Lifecycle and then click the install. After I while, I recei...
The maven plugin frontend-maven-plugin:0.0.23 requires maven 3.1.0 but openshift has default 3.0.4. Below is Maven Error on "git push" to openshift: remote: [ERROR] Failed to execute goal com.g...
I have a multi-module project for which I'd like to generate aggregate javadoc reports. I am using maven-javadoc-plugin version 3.1.0. Here's the reporting section of pom.xml file: <reporting&g...
I am using plugin openapi-generator-maven-plugin in version 5.3.1. Upgrading openapi spec from 3.0.3 to 3.1.0 causes generation phase errors: Spec sample: { "openapi": "3.1.0"...

Copyright License:Reproduced under the CC 4.0 BY-SA copyright license with link to original source & disclaimer.